Skip to main content
POST

Returns the update history in ascending order, paged, from ledger begin or optionally starting after a record time. Compared to /v1/updates, the /v2/updates removes the offset field in responses, which was hardcoded to 1 in /v1/updates for compatibility, and is now removed.

Body

application/json
object
OpenAPI type: UpdateHistoryRequestAfter.The transactions returned will either have a higher migration id or the same migration id and a record_time greater than the migration id and record time specified.
number
required
OpenAPI type: integer (int32).The maximum number of transactions returned for this request.
object
OpenAPI type: DamlValueEncoding.How daml values should be encoded in the response. “compact_json” is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. “protobuf_json” is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to “compact_json”.Allowed values: compact_json, protobuf_json.

Responses

200

ok
application/json
UpdateHistoryItemV2[]
required

400

bad request
application/json
string
required

500

internal server error
application/json
string
required

History

Updated0.6.0

The POST /v2/updates operation changed in this snapshot.

Updated0.5.17

The POST /v2/updates operation changed in this snapshot.

Added0.5.10